package com.yeejoin.amos.boot.module.jg.api.service;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.amos.boot.biz.common.bo.ReginParams;
import com.yeejoin.amos.boot.module.jg.api.dto.JgChangeRegistrationTransferDto;
import com.yeejoin.amos.boot.module.jg.api.entity.JgChangeRegistrationTransfer;

import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.util.List;
import java.util.Map;

/**
 * 移装变更登记登记接口类
 *
 * @author system_generator
 * @date 2023-12-20
 */
public interface IJgChangeRegistrationTransferService extends IService<JgChangeRegistrationTransfer> {

    List<JgChangeRegistrationTransfer> updateTransfer(String submitType, JSONObject map, ReginParams reginParams);

    List<JgChangeRegistrationTransfer> createTransfer(String submitType, JSONObject map, ReginParams reginParams);

    boolean deleteBatchBySequenceNbrs(Long[] sequenceNbrs);

    Map<String, Map<String, Object>> getTransferDetail(String sequenceNbr, String equipId);

    Page<Map<String, Object>> queryListForPage(Page<Map<String, Object>> page, JgChangeRegistrationTransferDto params, String type);

    void flowExecute(Long sequenceNbr, String instanceId, String operate, String comment);

    void revocation(String instanceId);

    void exportUseRegistrationCertificate(String sequenceNbr, HttpServletResponse response);
}
